Bug 224027 - [maintainer-update] dns/powerdns-recursor: update to 4.0.7
Summary: [maintainer-update] dns/powerdns-recursor: update to 4.0.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kirill Ponomarev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-01 22:25 UTC by Ralf van der Enden
Modified: 2017-12-04 12:38 UTC (History)
0 users

See Also:


Attachments
PowerDNS Recursor: Update to 4.0.7 (3.67 KB, patch)
2017-12-01 22:25 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2017-12-01 22:25:54 UTC
Created attachment 188457 [details]
PowerDNS Recursor: Update to 4.0.7

Notable changes:
- Fix securtity issues CVE-2017-15090, CVE-2017-15092, CVE-2017-15093 and CVE-2017-15094
- Drop support for Botan 1.10 in favor of Botan 2.x.
- Backported bugfixes/improvements from the 4.1.x branch

Full changelog: https://doc.powerdns.com/recursor/changelog/4.0.html#powerdns-recursor-4-0-7
Comment 1 Ralf van der Enden 2017-12-01 22:29:21 UTC
Also petted portlint a little, changed PORTVERSION to DISTVERSION and added devel/protobuf as a dependency (as suggested by upstream)

Poudriere buildlog: https://pkg.cainites.net/data/latest-per-pkg/powerdns-recursor/4.0.7/freebsd_11-1x64-system.log
Comment 2 Kirill Ponomarev freebsd_committer 2017-12-02 08:30:16 UTC
Take.
Comment 3 commit-hook freebsd_committer 2017-12-04 12:37:13 UTC
A commit references this bug:

Author: krion
Date: Mon Dec  4 12:36:56 UTC 2017
New revision: 455510
URL: https://svnweb.freebsd.org/changeset/ports/455510

Log:
  Update to 4.0.7

  - Drop support for Botan 1.10 in favor of Botan 2.x
  - Backported bugfixes/improvements from the 4.1.x branch
  - Pet portlint and use DISTVERSION
  - Added devel/protobuf as dependency as suggested by upstream

  PR:		224027
  Submitted by:	maintainer
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13338

Changes:
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor/distinfo
  head/dns/powerdns-recursor/files/patch-botan110signers.cc